계약 히스토리 생성
curl --request POST \
--url https://openapi.pluuug.com/v1/contract/{contract_id}/history \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-Signature: <api-key>' \
--data '
{
"content": "<string>",
"created": "2023-11-07T05:31:56Z",
"member": {
"id": 123
}
}
'import requests
url = "https://openapi.pluuug.com/v1/contract/{contract_id}/history"
payload = {
"content": "<string>",
"created": "2023-11-07T05:31:56Z",
"member": { "id": 123 }
}
headers = {
"X-API-Key": "<api-key>",
"X-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
'X-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({content: '<string>', created: '2023-11-07T05:31:56Z', member: {id: 123}})
};
fetch('https://openapi.pluuug.com/v1/contract/{contract_id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"content": "<string>",
"created": "2023-11-07T05:31:56Z",
"member": {
"id": 123,
"nickname": "<string>",
"email": "<string>",
"isActive": true,
"grade": {
"id": 123,
"title": "<string>"
}
}
}{
"nonField": [
"<string>"
],
"content": [
"<string>"
],
"created": [
"<string>"
],
"member": {
"id": [
"<string>"
]
}
}계약
계약 히스토리 생성
계약에 새 텍스트 히스토리를 추가합니다. member 미지정 시 작성 멤버는 null로 기록됩니다 (외부 API 호출 컨텍스트). 별도 알림은 발송되지 않습니다.
POST
/
v1
/
contract
/
{contract_id}
/
history
계약 히스토리 생성
Authorizations
HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다. 서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
⌘I